Package org.eclipse.graphiti.features

## Interface ISaveImageFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `AbstractSaveImageFeature`, `DefaultSaveImageFeature`

    public interface ISaveImageFeature
    extends IFeature

The Interface ISaveImageFeature for the support of the save as image functionality.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canSave​(ISaveImageContext context)` Checks if save as image can be executed.
`void` `postSave​(ISaveImageContext context)` Post-save hook.
`void` `preSave​(ISaveImageContext context)` Pre-save hook.
`void` `save​(ISaveImageContext context)` Save the diagram using the given context information.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Method Detail

#### canSave

    boolean canSave​(ISaveImageContext context)

Checks if save as image can be executed.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### save

    void save​(ISaveImageContext context)

Save the diagram using the given context information. By default the complete diagram is saved, there's currently no option to influence the saving via the context.

Parameters:
  `context` - Context information for printing
Since:
  0.10

#### preSave

    void preSave​(ISaveImageContext context)

Pre-save hook. Called before the actual save as image process starts. You may use this hook to influence the current state of the diagram or the selection.

Parameters:
  `context` - the context

#### postSave

    void postSave​(ISaveImageContext context)

Post-save hook. Called after the actual save as image process finished. You may use this hook to set back the changes done in the preSave method.

Parameters:
  `context` - the context